import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增活动配置
    addActiveConfiguration(data) {
        return request({
            url: '/system/configuration/addConfig',
            method: 'post',
            data
        })
    },
    //删除活动配置
    delActiveConfiguration(data) {
        return request({
            url: '/system/configuration/deleteConfig',
            method: 'post',
            data
        })
    },
    //修改活动配置
    editActiveConfiguration(data) {
        return request({
            url: '/system/configuration/editConfig',
            method: 'post',
            data
        })
    },
    //查询活动配置列表
    inquireActiveConfiguration(data) {
        return request({
            url: '/system/configuration/list',
            method: 'get',
            params: data
        })
    },
    //获取活动配置详细信息
    obtainActiveConfiguration(data) {
        return request({
            url: `/system/configuration/${data}`,
            method: 'get',
        })
    },
}